Industry
The industry resource.
Base/industry
GET
/industryList industries
Retrieve a paginated list of industries. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/industry
curl --request GET \
--url '<your-host>/industry?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"sortOrder": 0,
"active": true,
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"iconName": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}
]GET
/industryRetrieve a industry
Fetch a single industry by filtering on `id`.
Query parameters
idstringMatch on the industry's `id`, e.g. `eq.{id}`.
GET/industry
curl --request GET \
--url '<your-host>/industry?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"sortOrder": 0,
"active": true,
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"iconName": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}POST
/industryCreate a industry
Create a new industry.
Body parameters
namestringrequireddescriptionstringiconNamestringsortOrdernumberrequiredactivebooleanrequiredPOST/industry
curl --request POST \
--url <your-host>/industry \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example","description":"string","sortOrder":0,"active":true}'Response
{
"id": "abc123def456",
"name": "Example",
"sortOrder": 0,
"active": true,
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"iconName": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}PATCH
/industryUpdate a industry
Update an existing industry, matched on `id`.
Body parameters
namestringrequireddescriptionstringiconNamestringsortOrdernumberrequiredactivebooleanrequiredPATCH/industry
curl --request PATCH \
--url '<your-host>/industry?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"name":"Example"}'Response
{
"id": "abc123def456",
"name": "Example",
"sortOrder": 0,
"active": true,
"createdAt": "2026-01-01T00:00:00Z",
"description": "string",
"iconName": "string",
"updatedAt": "2026-01-01T00:00:00Z"
}DELETE
/industryDelete a industry
Delete a industry, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the industry to delete, e.g. `eq.{id}`.
DELETE/industry
curl --request DELETE \
--url '<your-host>/industry?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content